Name:           notification-daemon-engine-slider
Version:        0.2.0
Release:        2%{?dist}
Summary:        The Slider theme engine for the notification daemon

Group:          System Environment/Libraries
License:        GPLv3+
URL:            http://cgit.freedesktop.org/~mccann/notification-daemon-engine-slider
Source0:        http://people.freedesktop.org/~mccann/dist/notification-daemon-engine-slider-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel >= 2.17.1
Requires:       notification-daemon

Patch0:         crash.patch

%description
The Slider theme engine for the notification daemon.


%prep
%setup -q
%patch0 -p1 -b .crash

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

#remove .la files
find $RPM_BUILD_ROOT -name *.la | xargs rm -f || true


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_libdir}/notification-daemon-1.0/engines/libslider.so

%changelog
* Mon Jan  4 2010 Matthias Clasen <mclasen@redhat.com> - 0.2.0-2
- Fix a sporadic crash

* Fri Nov 20 2009 Dennis Gregorovic <dgregor@redhat.com> - 0.2.0-1.1
- Bump for rebuild

* Mon Sep 28 2009 Jon McCann <jmccann@redhat.com> - 0.2.0-1
- Update to 0.2.0

* Mon Sep 28 2009 Matthias Clasen <mclasen@redhat.com> - 0.1.0-2
- Make actions prelight

* Tue Sep 22 2009 Jon McCann <jmccann@redhat.com> - 0.1.0-1
- Initial build
